Package org.eclipse.ui.commands

## Interface ICategory

All Superinterfaces:
  `Comparable`

    @Deprecated
    public interface ICategory
    extends Comparable

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

A category is a grouping of commands by functional area. For example, in the Eclipse workbench, "Text Editing" is a category containing various commands related to text editing. A category's primary functionality is to control the display of commands to the user. When appropriate, commands displayed to the user (e.g., keys preference page) will be grouped by category.

An instance of `ICategory` is a handle representing a category as defined by the extension point `org.eclipse.ui.commands`. The identifier of the handle is identifier of the category being represented.

An instance of `ICategory` can be obtained from an instance of `ICommandManager` for any identifier, whether or not a category with that identifier defined in the plugin registry.

The handle-based nature of this API allows it to work well with runtime plugin activation and deactivation, which causes dynamic changes to the plugin registry, and therefore, potentially, dynamic changes to the set of category definitions.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `ICategoryListener`, `ICommandManager`, `Category`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addCategoryListener​(ICategoryListener categoryListener)` Deprecated.
`String` `getDescription()` Deprecated.
`String` `getId()` Deprecated.
`String` `getName()` Deprecated.
`boolean` `isDefined()` Deprecated.
`void` `removeCategoryListener​(ICategoryListener categoryListener)` Deprecated.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### addCategoryListener

    @Deprecated
    void addCategoryListener​(ICategoryListener categoryListener)

Deprecated.
Registers an instance of `ICategoryListener` to listen for changes to attributes of this instance.

Parameters:
  `categoryListener` - the instance of `ICategoryListener` to register. Must not be `null`. If an attempt is made to register an instance of `ICategoryListener` which is already registered with this instance, no operation is performed.

#### getDescription

    @Deprecated
    String getDescription()
                   throws NotDefinedException

Deprecated.

Returns the description of the category represented by this handle, suitable for display to the user.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the description of the category represented by this handle. Guaranteed not to be `null`.
Throws:
  `NotDefinedException` - if the category represented by this handle is not defined.

#### getId

    @Deprecated
    String getId()

Deprecated.
Returns the identifier of this handle.

Returns:
  the identifier of this handle. Guaranteed not to be `null`.

#### getName

    @Deprecated
    String getName()
            throws NotDefinedException

Deprecated.

Returns the name of the category represented by this handle, suitable for display to the user.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the name of the category represented by this handle. Guaranteed not to be `null`.
Throws:
  `NotDefinedException` - if the category represented by this handle is not defined.

#### isDefined

    @Deprecated
    boolean isDefined()

Deprecated.

Returns whether or not the category represented by this handle is defined.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  `true`, iff the category represented by this handle is defined.

#### removeCategoryListener

    @Deprecated
    void removeCategoryListener​(ICategoryListener categoryListener)

Deprecated.
Unregisters an instance of `ICategoryListener` listening for changes to attributes of this instance.

Parameters:
  `categoryListener` - the instance of `ICategoryListener` to unregister. Must not be `null`. If an attempt is made to unregister an instance of `ICategoryListener` which is not already registered with this instance, no operation is performed.